std::_Maybe_unary_or_binary_function< _Res, _T1, _T2 > Struct Template Reference
Inheritance diagram for std::_Maybe_unary_or_binary_function< _Res, _T1, _T2 >:
[legend]

## Public Types

typedef _T1 | first_argument_type
typedef _Res | result_type
typedef _T2 | second_argument_type

## Detailed Description

### template<typename _Res, typename _T1, typename _T2>
struct std::_Maybe_unary_or_binary_function< _Res, _T1, _T2 >

Derives from `binary_function`, as appropriate.

Definition at line 497 of file functional.

## Member Typedef Documentation

## first_argument_type

typedef _T1 std::binary_function< _T1 , _T2 , _Res >::first_argument_type

inherited

`first_argument_type` is the type of the first argument

Definition at line 121 of file stl_function.h.

## result_type

typedef _Res std::binary_function< _T1 , _T2 , _Res >::result_type

inherited

`result_type` is the return type

Definition at line 127 of file stl_function.h.

## second_argument_type

typedef _T2 std::binary_function< _T1 , _T2 , _Res >::second_argument_type

inherited

`second_argument_type` is the type of the second argument

Definition at line 124 of file stl_function.h.

The documentation for this struct was generated from the following file:

- functional